Rhythmbox asks for installing MPEG-1 Layer 3 (MP3) encoder

Bug #1348222 reported by Coeur Noir on 2014-07-24
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
rhythmbox (Ubuntu)
Undecided
Unassigned

Bug Description

Hello.

I run ubuntu 14.04 "upgraded" from 13.10, so not a total fresh install.

Rhythmbox plays mp3 with no problem but when I try to rip audio CD to mp3 it asks for "MPEG-1 Layer 3 (MP3) encoder".

It searches it for a while and then say it was unable to find the plugin - something related to gstreamer.

On this pc Asunder, Banshee or Audacity work as expected when ripping audio CD to mp3.

_____________________________________________________________________________________________________________________

Output from terminal when trying to rip audio cd :
~$ rhythmbox

(rhythmbox:9955): Gtk-CRITICAL **: gtk_css_provider_load_from_path: assertion 'path != NULL' failed

(rhythmbox:9955): Json-CRITICAL **: json_object_get_array_member: assertion 'JSON_NODE_HOLDS_ARRAY (node) || JSON_NODE_HOLDS_NULL (node)' failed

(rhythmbox:9955): Json-CRITICAL **: json_array_get_length: assertion 'array != NULL' failed

(rhythmbox:9955): GLib-GObject-CRITICAL **: object SoupServer 0x28df1f0 finalized while still in-construction

(rhythmbox:9955): GLib-GObject-CRITICAL **: Custom constructor for class SoupServer returned NULL (which is invalid). Please use GInitable instead.

(rhythmbox:9955): GLib-GObject-CRITICAL **: object SoupServer 0x28df290 finalized while still in-construction

(rhythmbox:9955): GLib-GObject-CRITICAL **: Custom constructor for class SoupServer returned NULL (which is invalid). Please use GInitable instead.

(rhythmbox:9955): GLib-GObject-CRITICAL **: object SoupServer 0x28df3d0 finalized while still in-construction

(rhythmbox:9955): GLib-GObject-CRITICAL **: Custom constructor for class SoupServer returned NULL (which is invalid). Please use GInitable instead.
Rhythmbox-Message: Missing plugin: gstreamer|1.0|rhythmbox|MPEG-1 Layer 3 (MP3) encoder|encoder-audio/mpeg, mpegversion=(int)1, layer=(int)3
CRITICAL:Could not find any packages to operate on
Rhythmbox-Message: No installation candidate for missing plugins found.

_____________________________________________________________________________________________________________________

Output from terminal when closing Rhythmbox :

(rhythmbox:9955): Gtk-CRITICAL **: gtk_size_group_remove_widget: assertion 'g_slist_find (priv->widgets, widget)' failed

(rhythmbox:9955): Gtk-CRITICAL **: gtk_size_group_remove_widget: assertion 'g_slist_find (priv->widgets, widget)' failed

(rhythmbox:9955): Gtk-CRITICAL **: gtk_size_group_remove_widget: assertion 'g_slist_find (priv->widgets, widget)' failed

(rhythmbox:9955): Gtk-WARNING **: mnemonic "r" wasn't removed for widget (0x1a3dd00)
Unable to open ~/.mtpz-data for reading, MTPZ disabled.

_____________________________________________________________________________________________________________________

lsb_release -rd
Description: Ubuntu 14.04.1 LTS
Release: 14.04

_____________________________________________________________________________________________________________________

apt-cache policy rhythmbox
rhythmbox:
  Installé : 3.0.2-0ubuntu2
  Candidat : 3.0.2-0ubuntu2
 Table de version :
 *** 3.0.2-0ubuntu2 0
        500 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.0.2-0ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

_____________________________________________________________________________________________________________________

It looks I'm not the only to face this "problem" :
http://askubuntu.com/questions/405115/rip-mp3-rhythmbox
http://askubuntu.com/questions/500479/ubuntu-14-04-rhytym-box-dependencies-cannot-be-resolved

Screenshot attached or here : http://hpics.li/dc6ac46

If I may help…

Best regards.

Coeur Noir (coeur-noir) wrote :
Coeur Noir (coeur-noir) wrote :

It may be related to the bug you've mentioned but here I dont' have any problem with ripping CD to Ogg.

Only dealing with mp3 seems to fail.

Coeur Noir (coeur-noir) wrote :

Sorry - is there a way to edit comments ?

Well ripping to ogg causes at least one problem :

what so ever the settings I choose, ogg files end with 112kbps.

Coeur Noir (coeur-noir) wrote :

I've tried something else :

installed gnome-codec-installer (this asked me to remove sessioninstaller)

then opened Rhythmbox and tried to import tracks from an audio CD to mp3

still failed but error message has changed :

Le format des paramètres passés à l’application est invalide. Merci de signaler ce bogue !

Les paramètres étaient :
--transient-for=71303216
gstreamer|1.0|rhythmbox|MPEG-1 Layer 3 (MP3) encoder|encoder-audio/mpeg, mpegversion=(int)1, layer=(int)3

Coeur Noir (coeur-noir) wrote :

http://forum.ubuntu-fr.org/viewtopic.php?pid=17863951#p17863951

I can notice that this problem does not occur on a fresh install I did on another pc.

So it maybe not relative to (only) rhythmbox.

What may I check ?

How compare two installations ?

Coeur Noir (coeur-noir) wrote :

Well... try to report this towards gnome :

https://bugzilla.gnome.org/show_bug.cgi?id=735674

...which gets me back here.

Coeur Noir (coeur-noir) wrote :

I can confirm this problem does NOT occur with "fresh" install, now on a third pc so it's probably relative to upgrading from 13.10 to 14.04.

Any pieces of advice ?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in rhythmbox (Ubuntu):
status: New → Confirmed
Dufay Basile (basile-dufay14) wrote :

Same probelm for me.
Also on an upgraded version of 14.04 from 13.10. I never tried on a fresh install.

Omar (omar-ortiz-65) wrote :

Same rpoblem here too. I uprgraded from 12.04.

Coeur Noir (coeur-noir) wrote :

Problem still occurs…

Nikolas S. Andersen (n-s-and) wrote :

An almost-fresh install of 14.10 formatting / (but not /usr/local and /home) also has the problem..

Coeur Noir (coeur-noir) wrote :

Help ?

If I want to totally remove Rhythmbox, core app + all its relative files and folders, what is the best way ?

I guess the problem comes with gstreamer configuration and presets ??? Since those have been often modified throughout Ubuntu realeases.

Any piece of advice ?

Coeur Noir (coeur-noir) wrote :

It seems that

sudo apt-get purge rhythmbox gir1.2-rb-3.0 librhythmbox-core5 rhythmbox-mozilla rhythmbox-data rhythmbox-plugin-zeitgeist rhythmbox-plugin-magnatune rhythmbox-plugin-cdrecorder librhythmbox-core6 rhythmbox-plugins

and then upgrading to RB 3.2.1 from fossfreedom ppa solved my problem.

I guess upgrading RB version was not even necessary, just reinstall current RB version from official repo's for Ubuntu 14.04 could be enough.

source : https://xpressubuntu.wordpress.com/2015/03/29/new-rhythmbox-3-2-release-for-14-04-14-10-and-15-04/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.